Get commit
curl --request GET \
--url https://api.example.com/api/projects/{projectId}/commits/{commitId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/projects/{projectId}/commits/{commitId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/projects/{projectId}/commits/{commitId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"branchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"files": [
"<unknown>"
]
}Branches
Get commit
Retrieves a specific commit by ID.
GET
/
api
/
projects
/
{projectId}
/
commits
/
{commitId}
Get commit
Authorizations
personalAccessTokeninternalAuth
Personal access token is obtained through your profile
Query Parameters
Whether to include file content in the response
Response
200 - application/json
The requested commit
The requested commit
Commit ID
Commit message
Branch ID
Project ID
ID of user who created the commit
Creation timestamp
User who created the commit
Show child attributes
Show child attributes
Commit files
Was this page helpful?
⌘I